Postgres compatability for Typo Import #375

Closed
wants to merge 4 commits into
from

Conversation

Projects
None yet
4 participants

The patch adds a 'SERVER' parameter, indicating type of database (for now just MySQL or postgres) and loads the Sequel driver accordingly.

I've also added the sequel, mysql and pg gems as development dependencies.

@mojombo mojombo and 1 other commented on an outdated diff Jan 23, 2012

Gemfile
@@ -1,2 +1,8 @@
source :rubygems
gemspec
+
+group :development do
+ gem 'sequel'
+ gem 'mysql'
+ gem 'pg'
+end
@mojombo

mojombo Jan 23, 2012

Contributor

These should be specified in the gemspec with all the other development dependencies.

@joeyates

joeyates Jan 23, 2012

I've moved the gems.

parkr referenced this pull request in jekyll/jekyll-import Feb 6, 2013

Closed

Add Postgres support in Typo Migrator #7

Owner

parkr commented Feb 6, 2013

Put this over here: jekyll/jekyll-import#7

parkr closed this Feb 6, 2013

jekyllbot locked and limited conversation to collaborators Feb 27, 2017

Sign up for free to subscribe to this conversation on GitHub. Already have an account? Sign in.